Loading...
Searching...
No Matches
rostlab::cwd_resource Class Reference

`#include <cwd_resource.h>`

## Public Member Functions

| cwd_resource ()
| cwd_resource (const string &__dirname)
void | acquire (const string &__dirname) throw (runtime_error)
void | release () throw (runtime_error)
virtual | ~cwd_resource ()

## Detailed Description

Definition at line 29 of file cwd_resource.h.

## Constructor & Destructor Documentation

## cwd_resource() [1/2]

rostlab::cwd_resource::cwd_resource | ( |  | ) |

inline

Definition at line 38 of file cwd_resource.h.

## cwd_resource() [2/2]

rostlab::cwd_resource::cwd_resource | ( | const string & | __dirname | ) |

inline

Definition at line 40 of file cwd_resource.h.

## ~cwd_resource()

virtual rostlab::cwd_resource::~cwd_resource | ( |  | ) |

inline virtual

Definition at line 66 of file cwd_resource.h.

## Member Function Documentation

## acquire()

void rostlab::cwd_resource::acquire | ( | const string & | __dirname | ) |
throw | ( | runtime_error ) |  |  |

inline

Definition at line 45 of file cwd_resource.h.

## release()

void rostlab::cwd_resource::release | ( |  | ) |
throw | ( | runtime_error ) |  |  |

inline

Definition at line 57 of file cwd_resource.h.

The documentation for this class was generated from the following file:

- rostlab/cwd_resource.h